﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Net;
using System.Threading;

namespace WarmMeUp
{
  class Program
  {
    /// <summary>
    /// WarmMeUp v 1.0 by Making Waves (Alexander Haneng)
    /// Small console app to warm up a website
    /// </summary>
    /// <param name="args"></param>
    static void Main(string[] args)
    {
      try
      {

        if (args.Length == 1 && args[0] != null && args[0] != String.Empty)
        {
          string UrlToWarm = args[0]; //Get the url from the first argument

          HttpWebRequest request = (HttpWebRequest)WebRequest.Create(UrlToWarm);
          request.Credentials = CredentialCache.DefaultCredentials;
          request.UserAgent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.2; .NET CLR 1.0.3705;)";
          request.BeginGetResponse(null, null); //Request the url, we don't care about the result
          Thread.Sleep(1000); //Sleep a little to make sure the request is sent
          Console.WriteLine(String.Format("Warmed up: {0}", UrlToWarm));
        }
        else
        {
          Console.WriteLine("--------------------------------------------------------------");
          Console.WriteLine("WarmMeUp v. 1.0 by Making Waves (Alexander Haneng)");
          Console.WriteLine("--------------------------------------------------------------");
          Console.WriteLine(" ");
          Console.WriteLine("Usage:");
          Console.WriteLine("WarmMeUp.exe {url}");
          Console.WriteLine(" ");
          Console.WriteLine("Example:");
          Console.WriteLine("WarmMeUp.exe http://localhost/");
          Console.WriteLine(" ");
        }
      }
      catch (Exception ex)
      {
        Console.WriteLine("Error occurred.");
        Console.WriteLine("Source : " + ex.Source);
        Console.WriteLine("Message: " + ex.Message);
      }
    }
  }
}
